%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		gtkspell
Version:	2.0.16
Release:	%mkrel 16

Summary:	Spell-checking addon for GTK's TextView widget
License:	GPLv2+
Group:		System/Libraries
Url:		https://gtkspell.sourceforge.net/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		enchant-2.diff
BuildRequires:  docbook-dtd42-xml
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:  gnome-common
BuildRequires:	gtk+2-devel
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  gettext-devel

%description
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words in a
GtkTextView widget. Right-clicking a misspelled word pops up a menu of
suggested replacements.

%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words in a
GtkTextView widget. Right-clicking a misspelled word pops up a menu of
suggested replacements.

%package -n %{develname}
Summary:	%{summary}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words in a
GtkTextView widget. Right-clicking a misspelled word pops up a menu of
suggested replacements.


%prep
%setup -q
%autopatch -p1

%build
gtkdocize
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc README AUTHORS ChangeLog

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.0.16-16.mga10
+ Revision: 2212271
- Mageia 10 Mass Rebuild

* Tue Mar 29 2022 umeabot <umeabot> 2.0.16-15.mga9
+ Revision: 1831801
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.0.16-14.mga8
+ Revision: 1523121
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Feb 23 2019 wally <wally> 2.0.16-13.mga7
+ Revision: 1369557
- switch to enchant2 (patch from Arch)

* Sun Sep 23 2018 umeabot <umeabot> 2.0.16-12.mga7
+ Revision: 1298129
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 2.0.16-11.mga6
+ Revision: 941264
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.16-10.mga5
+ Revision: 748292
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.16-9.mga5
+ Revision: 680032
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0.16-8.mga4
+ Revision: 523781
- Mageia 4 Mass Rebuild

* Sat May 25 2013 fwang <fwang> 2.0.16-7.mga4
+ Revision: 426926
- lock libmajor

* Sat Jan 12 2013 umeabot <umeabot> 2.0.16-6.mga3
+ Revision: 352938
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 12 2012 gw666 <gw666> 2.0.16-5.mga3
+ Revision: 329881
- build depends on gettext-devel

* Sat Dec 01 2012 pterjan <pterjan> 2.0.16-4.mga3
+ Revision: 324440
- Fix license

* Wed Sep 21 2011 fwang <fwang> 2.0.16-3.mga2
+ Revision: 146276
- drop .la files

* Wed Jan 26 2011 jquelin <jquelin> 2.0.16-2.mga1
+ Revision: 40219
- remove mdv macros
- cleaning spec file
- imported package gtkspell


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.16-2mdv2011.0
+ Revision: 605513
- rebuild

* Thu Dec 24 2009 Götz Waschk <waschk@mandriva.org> 2.0.16-1mdv2010.1
+ Revision: 482036
- new version
- regenerate gtk-doc

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.0.15-2mdv2010.0
+ Revision: 425079
- rebuild

* Thu Dec 04 2008 Götz Waschk <waschk@mandriva.org> 2.0.15-1mdv2009.1
+ Revision: 309900
- update to new version 2.0.15

* Sat Aug 16 2008 Götz Waschk <waschk@mandriva.org> 2.0.14-1mdv2009.0
+ Revision: 272533
- update build deps
- new version

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 2.0.13-1mdv2009.0
+ Revision: 242299
- fix buildrequires
- new version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.0.11-4mdv2009.0
+ Revision: 221118
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Nov 04 2007 Adam Williamson <awilliamson@mandriva.org> 2.0.11-3mdv2008.1
+ Revision: 105687
- rebuild for 2008.1
- new devel policy
- new license policy


* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 2.0.11-2mdv2007.0
+ Revision: 108672
- Import gtkspell

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 2.0.11-2mdv2007.1
- Rebuild

* Thu Dec 15 2005 Götz Waschk <waschk@mandriva.org> 2.0.11-1mdk
- New release 2.0.11
- use mkrel

* Tue Jun 14 2005 Götz Waschk <waschk@mandriva.org> 2.0.10-1mdk
- drop merged patch
- New release 2.0.10

* Fri Mar 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.9-2mdk 
- Patch0: disable debug

* Wed Feb 23 2005 Götz Waschk <waschk@linux-mandrake.com> 2.0.9-1mdk
- add translations
- reenable libtoolize
- new version

* Fri Apr 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-2mdk
- Fix BuildRequires

* Sat Apr 17 2004 Abel Cheung <deaddog@deaddog.org> 2.0.5-1mdk
- New version
- Remove patch0 (similar fix upstream)

